1 Reply Latest reply on Feb 21, 2017 1:56 PM by stuart-k

    iPhone 5c too old for you guys?

    Gminfly

      I only have an iPhone 5c, it rus iOS10, so why am I not allowed to install your app?